Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » P2 » Can't run product (RCP) when migrating from Ganimede to Helios(Helios PDE)
Can't run product (RCP) when migrating from Ganimede to Helios [message #642044] Mon, 29 November 2010 16:35
Flavio Mello is currently offline Flavio MelloFriend
Messages: 1
Registered: November 2010
Junior Member
Hi there,

I'm quite new to eclipse plataform, and I am confused with what happened during the migration of my RCP Application. I have been looking for similar problems but I coudn't find any.

My framework and all my plugins were developed in eclipse Ganimede 3.4.2 and my application was being launched correctly.

I downloaded Eclipse Classic 3.6.1 - Helios (it supports the PDE), unpacked it, and lauched the new eclipse, opened my workbench, and everything seems to be fine (0 error and 0 warnings). However, when I tried to run the application, it crashes with the following message:

!SESSION 2010-11-29 14:30:05.812 -----------------------------------------------
eclipse.buildId=unknown
java.version=1.6.0_20
java.vendor=Sun Microsystems Inc.
BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=pt_BR
Framework arguments: -product mx.framework.product
Command-line arguments: -product mx.framework.product -data C:\Documents and Settings\Administrador\Desktop\Plugin/../runtime-mx.framewor k.product -dev file:C:/Documents and Settings/Administrador/Desktop/Plugin/.metadata/.plugins/org .eclipse.pde.core/mx.framework.product/dev.properties -os win32 -ws win32 -arch x86 -consoleLog

!ENTRY org.eclipse.equinox.app 0 0 2010-11-29 14:30:07.421
!MESSAGE Product mx.framework.product could not be found.

!ENTRY org.eclipse.osgi 2 0 2010-11-29 14:30:07.484
!MESSAGE One or more bundles are not resolved because the following root constraints are not resolved:
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.484
!MESSAGE Bundle initial@reference :file:plugins/org.eclipse.jface.databinding_1.4.0.I20100601- 0800.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-11-29 14:30:07.484
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-11-29 14:30:07.484
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.3.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE Bundle initial@reference:file:plugins/org.eclipse.ui.ide_3.6.1.M20100825-0800.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.equinox.p2.metadata_[2.0.0,3.0.0).
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.equinox.p2.engine_[2.0.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE Bundle initial@reference :file:plugins/org.eclipse.ui.workbench_3.6.1.M20100826-1330. jar/ was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.2.0,2.0.0).
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.2.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE Bundle initial@reference :file:plugins/org.eclipse.ui.workbench.texteditor_3.6.1.r361 _v20100714-0800.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench.texteditor 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.compare.core_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE Bundle initial@reference :file:plugins/org.eclipse.core.databinding_1.3.100.I20100601 -0800.jar/ was not resolved.
!SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.3.0,2.0.0).

!ENTRY org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE The following is a complete list of bundles which are not resolved, see the prior log entry for the root cause if it exists:
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.500
!MESSAGE Bundle mx.witty.gui_1.0.0 was not resolved.
!SUBENTRY 2 mx.witty.gui 2 0 2010-11-29 14:30:07.500
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.witty.gui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 2 mx.witty.gui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.workbench.texteditor_3.4.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle mx.framework.mediator_1.0.0 was not resolved.
!SUBENTRY 2 mx.framework.mediator 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.ui.win32_3.2.200.I20100509-0800 was not resolved.
!SUBENTRY 2 org.eclipse.ui.win32 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing host org.eclipse.ui.ide_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.update.ui_3.2.300.v20100512 was not resolved.
!SUBENTRY 2 org.eclipse.update.ui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_[3.2.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle mx.siagas.gui_1.0.0 was not resolved.
!SUBENTRY 2 mx.siagas.gui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.siagas.gui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 2 mx.siagas.gui 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.workbench.texteditor_3.4.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle mx.framework_1.0.0 was not resolved.
!SUBENTRY 2 mx.framework 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.framework 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.ide_3.4.2.
!SUBENTRY 2 mx.framework 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.editors_3.4.0.
!SUBENTRY 2 mx.framework 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.jface.databinding_1.4.0.I20100601-0800 was not resolved.
!SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.jface.databinding 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.core.databinding_[1.2.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.ui.editors_3.6.1.r361_v20100825-0800 was not resolved.
!SUBENTRY 2 org.eclipse.ui.editors 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.ide_[3.5.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui.editors 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui.editors 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui.workbench.texteditor_[3.6.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.ui.views_3.5.0.I20100527-0800 was not resolved.
!SUBENTRY 2 org.eclipse.ui.views 2 0 2010-11-29 14:30:07.515
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.515
!MESSAGE Bundle org.eclipse.ui_3.6.1.M20100826-1330 was not resolved.
!SUBENTRY 2 org.eclipse.ui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui.workbench_[3.5.0,4.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle org.eclipse.core.databinding_1.3.100.I20100601-0800 was not resolved.
!SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.core.databinding 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.3.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle mx.browser.gui_1.0.0 was not resolved.
!SUBENTRY 2 mx.browser.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.browser.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle mx.idealize.gui_1.0.0 was not resolved.
!SUBENTRY 2 mx.idealize.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.idealize.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 2 mx.idealize.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui.workbench.texteditor_3.4.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle org.eclipse.ui.ide_3.6.1.M20100825-0800 was not resolved.
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing optionally required bundle org.eclipse.ui.views_[3.2.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.equinox.p2.engine_[2.0.0,3.0.0).
!SUBENTRY 2 org.eclipse.ui.ide 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.equinox.p2.metadata_[2.0.0,3.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle org.eclipse.ui.workbench_3.6.1.M20100826-1330 was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.jface.databinding_[1.3.0,2.0.0).
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.core.databinding.property_[1.2.0,2.0.0).
!SUBENTRY 2 org.eclipse.ui.workbench 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.core.databinding.observable_[1.2.0,2.0.0).
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle mx.quimera.gui_1.0.0 was not resolved.
!SUBENTRY 2 mx.quimera.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui_0.0.0.
!SUBENTRY 2 mx.quimera.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle mx.framework.mediator_1.0.0.
!SUBENTRY 2 mx.quimera.gui 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui.workbench.texteditor_3.4.1.
!SUBENTRY 1 org.eclipse.osgi 2 0 2010-11-29 14:30:07.531
!MESSAGE Bundle org.eclipse.ui.workbench.texteditor_3.6.1.r361_v20100714-080 0 [248] was not resolved.
!SUBENTRY 2 org.eclipse.ui.workbench.texteditor 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.compare.core_[3.5.0,4.0.0).
!SUBENTRY 2 org.eclipse.ui.workbench.texteditor 2 0 2010-11-29 14:30:07.531
!MESSAGE Missing required bundle org.eclipse.ui_[3.5.0,4.0.0).

!ENTRY org.eclipse.osgi 4 0 2010-11-29 14:30:07.546
!MESSAGE Application error
!STACK 1
java.lang.RuntimeException: No application id has been found.
at org.eclipse.equinox.internal.app.EclipseAppContainer.startDe faultApp(EclipseAppContainer.java:242)
at org.eclipse.equinox.internal.app.MainApplicationLauncher.run (MainApplicationLauncher.java:29)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .runApplication(EclipseAppLauncher.java:110)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher .start(EclipseAppLauncher.java:79)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:369)
at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseS tarter.java:179)
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
at java.lang.reflect.Method.invoke(Unknown Source)
at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java: 619)
at org.eclipse.equinox.launcher.Main.basicRun(Main.java:574)
at org.eclipse.equinox.launcher.Main.run(Main.java:1407)
at org.eclipse.equinox.launcher.Main.main(Main.java:1383)


The mx.framework is my product, and it has the following plugins: mx.framework.mediator, mx.browser.gui, mx.idealize.gui, mx.quimera.gui, mx.siagas.gui, mx.witty.gui.

It seems to be simple, but I couldn't find what is going wrong. Can any one give me a tip of how to solve it?

Thanks in advance,

Flávio Mello


Previous Topic:multiple processes using FeaturesAndBundlesPublisher
Next Topic:update does not copy updated feature, plugins
Goto Forum:
  


Current Time: Sun Dec 21 13:45:30 GMT 2014

Powered by FUDForum. Page generated in 0.03033 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software